# Features

NeoDB has [various features](features.md), and you may image it as a mix of Mastodon, Goodreads, Letterboxd, RateYourMusic, Podchaser, and more.

## Public catalog

  - a shared catalog of books/movies/tv shows/music album/games/podcasts/performances
  - search or create catalog items in each category
  - one click create item with links to 3rd party sites:
    - Goodreads
    - IMDB
    - The Movie Database
    - Douban
    - Google Books
    - Discogs
    - Spotify
    - Apple Music
    - Bandcamp
    - Steam
    - IGDB
    - Bangumi
    - Board Game Geek
    - any RSS link to a podcast


## Personal collections

  - mark an item as wishlist/in progress/complete/dropped
  - rate and write reviews for an item
  - create tags for an item, either privately or publicly
  - create and share list of items
  - tracking progress of a list (e.g. personal reading challenges)
  - Import and export full user data archive
  - import list or archives from some 3rd party sites:
    - Goodreads reading list
    - Letterboxd watch list
    - Douban archive (via [Doufen](https://doufen.org/))


## Social

  - view home feed with friends' activities
    - every activity can be set as viewable to self/follower-only/public
    - eligible items, e.g. podcasts and albums, are playable in feed
  - login with other Fediverse server account and import social graph
    - supported servers: Mastodon/Pleroma/Firefish/GoToSocial/Pixelfed/friendica/Takahē
  - share collections and reviews to Fediverse ~~and Twitter~~ feed
  - ActivityPub support
    - NeoDB users can follow and interact with users on other ActivityPub services like Mastodon and Pleroma
    - NeoDB instances communicate with each other via an extended version of ActivityPub
    - NeoDB instances may share public rating and reviews with a default relay
    - implementation is based on [Takahē](https://jointakahe.org/) server


## Languages

  - English
  - Simplified Chinese
  - Traditional Chinese
  - more to come and your contributions are welcomed!
